On Tue, 13 Mar 2018, Raphael Hertzog wrote:

On Tue, 13 Mar 2018, Alexander Kulak wrote:
It sets new maintainer and fixes non-critical error and a bunch
of warnings on install.
If it's enough for publishing, please consider sponsoring it.

I looked at your package but I'm not familiar with the emacs integration thing.
I saw that you have a lintian warning about this:
W: ccrypt: emacsen-common-without-dh-elpa
Is there a reason for you to not use dh-elpa? If yes, then please override
the lintian tag and document the reason as a comment in the lintian override
file.
If there is no reason, please consider using it.

I saw a bunch of other minor problems reported by lintian (with -I to have
informational tags too):
I: ccrypt source: testsuite-autopkgtest-missing
It's OK to not have such tests but here it would likely be not too hard to
write a few tests and I invite you to consider writing some.

I: ccrypt: hardening-no-bindnow usr/bin/ccguess
I: ccrypt: hardening-no-bindnow usr/bin/ccrypt
This can be fixed with "export DEB_BUILD_MAINT_OPTIONS = hardening=+all" in 
debian/rules.

I: ccrypt: spelling-error-in-manpage usr/share/man/man1/ccrypt.1.gz contructed 
constructed
Simple typo.

Thank you for review.
I tried to avoid dh-elpa because it requires creating a separate binary
package, but after digging deeper (e86381a1 commit message)
I have indeed created it.
All informational lintian warning are fixed too, with distinct commit
message where appropriate.

--
Alexander Kulak

Reply via email to